Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.repository.wizard.impl
Class RelativeFileRepositoryCreatorWizardPlugin

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.repository.wizard.impl.RelativeFileRepositoryCreatorWizardPlugin

All Implemented Interfaces:
  RepositoryCreatorWizardPlugin

    public class RelativeFileRepositoryCreatorWizardPlugin

extends Object
implements RepositoryCreatorWizardPlugin

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.repository.wizard.RepositoryCreatorWizardPlugin
`PLUGIN_TYPE`

Constructor Summary
`RelativeFileRepositoryCreatorWizardPlugin()`

Method Summary
`RepositoryCreatorWizardPanel` | `createRepositoryCreatorWizardPanel(edu.stanford.smi.protege.util.WizardPage wizardPage, OWLModel owlModel)`
`String` | `getDescription()`
`String` | `getName()`
`boolean` | `isSuitable(OWLModel model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeFileRepositoryCreatorWizardPlugin

    public RelativeFileRepositoryCreatorWizardPlugin()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `RepositoryCreatorWizardPlugin`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `RepositoryCreatorWizardPlugin`

### isSuitable

    public boolean isSuitable(OWLModel model)

  Specified by:
    `isSuitable` in interface `RepositoryCreatorWizardPlugin`

### createRepositoryCreatorWizardPanel

    public RepositoryCreatorWizardPanel createRepositoryCreatorWizardPanel(edu.stanford.smi.protege.util.WizardPage wizardPage,
                                                                           OWLModel owlModel)

  Specified by:
    `createRepositoryCreatorWizardPanel` in interface `RepositoryCreatorWizardPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.